server:
  port: 8080

spring:
    application:
      name:                               messagecenter
    mvc:
      favicon:
        enabled:                          true

    jmx:
      default-domain:                     messagecenter


    datasource:
      url:                                jdbc:postgresql://172.16.44.234:5432/datacenter
      username:                           postgres
      password:                           123456

    jackson:
      date-format:                        yyyy-MM-dd HH:mm:ss
      time-zone:                          Asia/Shanghai
      default-property-inclusion:         non_null
      # 首字母大写
      property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
      # 以下划线分隔全小写的单词
      #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
      mapper:
        # 属性按字母顺序输出
        sort_properties_alphabetically:   true

    activemq:
      broker-url:                         tcp://172.16.42.210:61616
      in-memory:                          true
      pool.enabled:                       false
      user:                               admin
      password:                           admin

topic:                                 datacenter.broadcast

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.messagecenter.models

# spring-cloud相关配置
eureka:
  client:                                   #客户端注册进eureka服务列表内
    service-url:
      defaultZone:                          http://172.16.44.235:8761/eureka













